Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.data
Interface ThingsProperty

All Known Subinterfaces:
  ThingsPropertyView, ThingsPropertyViewReader

All Known Implementing Classes:
  ThingsPropertyReaderToolkit, ThingsPropertyTreeBASIC, ThingsPropertyTreeRAM

    public interface ThingsProperty

General property interface that defines the text format.

The general escape character is a question mark '?'.
The amperstand '&' will fold the next line.
The # as the first non-whitespace character will dismiss the line as a commend.
There should be a single naked (not-escaped) equal sign '=' to split the name from the value.
Values can be separated (for a multi-value) with a naked comma ','.

Version:
  1.0

  Version History

      EPG - Initial - 16 MAY 04

Author:
  Erich P. Gatejen

Field Summary
`static char` | `PROPERTY_COMMENT_CHARACTER`
`static char` | `PROPERTY_CR`
`static java.lang.String` | `PROPERTY_EMPTY`
`static char` | `PROPERTY_ESCAPE_CHARACTER`
`static char` | `PROPERTY_ESCAPED_CR`
`static char` | `PROPERTY_ESCAPED_LF`
`static char` | `PROPERTY_LF`
`static char` | `PROPERTY_LINE_CONTINUATION`
`static java.lang.String` | `PROPERTY_LINE_CONTINUATION_STRING`
`static char` | `PROPERTY_LINE_EQUALITY`
`static char` | `PROPERTY_LINE_SEPARATOR`
`static java.lang.String` | `PROPERTY_LINE_SEPARATOR_ASSTRING`
`static java.lang.String` | `PROPERTY_LINE_TERMINATION`
`static char` | `PROPERTY_PATH_SEPARATOR`

Field Detail

### PROPERTY_ESCAPE_CHARACTER

    static final char PROPERTY_ESCAPE_CHARACTER

See Also:
  Constant Field Values

### PROPERTY_COMMENT_CHARACTER

    static final char PROPERTY_COMMENT_CHARACTER

See Also:
  Constant Field Values

### PROPERTY_PATH_SEPARATOR

    static final char PROPERTY_PATH_SEPARATOR

See Also:
  Constant Field Values

### PROPERTY_LINE_SEPARATOR_ASSTRING

    static final java.lang.String PROPERTY_LINE_SEPARATOR_ASSTRING

See Also:
  Constant Field Values

### PROPERTY_LINE_SEPARATOR

    static final char PROPERTY_LINE_SEPARATOR

See Also:
  Constant Field Values

### PROPERTY_LINE_CONTINUATION

    static final char PROPERTY_LINE_CONTINUATION

See Also:
  Constant Field Values

### PROPERTY_LINE_CONTINUATION_STRING

    static final java.lang.String PROPERTY_LINE_CONTINUATION_STRING

See Also:
  Constant Field Values

### PROPERTY_LINE_EQUALITY

    static final char PROPERTY_LINE_EQUALITY

See Also:
  Constant Field Values

### PROPERTY_EMPTY

    static final java.lang.String PROPERTY_EMPTY

See Also:
  Constant Field Values

### PROPERTY_LINE_TERMINATION

    static final java.lang.String PROPERTY_LINE_TERMINATION

See Also:
  Constant Field Values

### PROPERTY_CR

    static final char PROPERTY_CR

See Also:
  Constant Field Values

### PROPERTY_LF

    static final char PROPERTY_LF

See Also:
  Constant Field Values

### PROPERTY_ESCAPED_CR

    static final char PROPERTY_ESCAPED_CR

See Also:
  Constant Field Values

### PROPERTY_ESCAPED_LF

    static final char PROPERTY_ESCAPED_LF

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.